Page MenuHomePhabricator

SnakDeserializer must apply ID prefix mapping
Open, Needs TriagePublic

Description

To provide consistent mapping of entity ID prefixes for entity data loaded from foreign repos, SnakDeserializer must apply the same prefix mapping that EntityIdValueParser applies. Otherwise, property IDs that are part of snak values are mapped, but the property of the snak itself is not.

Event Timeline

daniel created this task.Dec 13 2018, 7:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2018, 7:51 PM

This needs a (minor) release of wikibase/data-model-serialization.

hoo added a subscriber: hoo.Dec 13 2018, 9:26 PM

Change 479604 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/vendor@master] Update wikibase/data-model-serialization to 2.9.1

https://gerrit.wikimedia.org/r/479604

Change 479605 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] Require at least wikibase/data-model-serialization 2.9.1

https://gerrit.wikimedia.org/r/479605

Change 479610 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/WikibaseLexeme@master] SenseDeserializerTest: Don't directly construct SnakDeserializer

https://gerrit.wikimedia.org/r/479610

Change 479610 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] SenseDeserializerTest: Don't directly construct SnakDeserializer

https://gerrit.wikimedia.org/r/479610

Change 479604 merged by jenkins-bot:
[mediawiki/vendor@master] Update wikibase/data-model-serialization to 2.9.1

https://gerrit.wikimedia.org/r/479604

Change 479605 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Require at least wikibase/data-model-serialization 2.9.1

https://gerrit.wikimedia.org/r/479605

Addshore moved this task from incoming to in progress on the Wikidata board.Dec 19 2018, 12:44 PM
greg added a project: Multimedia.Mar 7 2019, 10:59 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:54 PM